
<div class="carrito">
  <div class="Carrito--Cabecera">
    <div class="col-5">
      <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Articulo</h6>
    </div>
    <div class="col-2">
      <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Precio</h6>
    </div>
    <div class="col-2">
      <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Cantidad</h6>
    </div>
    <div class="col-2">
      <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Total</h6>
    </div>
    <div class="col-1"></div>
  </div>
  <div class="Carrito--Detalles">
    <ng-container *ngFor="let tArticulo of tPedido.LArticulos | slice: (tPaginaArticulos-1) * tTamanoPagArticulos : (tPaginaArticulos-1) * tTamanoPagArticulos + tTamanoPagArticulos; let jv = index">
      <div class="Carrito--Item">
        <div class="col-5">
          <div class="row">
            <div class="col-4"><img class="Carrito--Item-Imagen" [src]="tArticulo.Url" alt=""/></div>
            <div class="col-8">
              <div class="row">
                <div class="col-12">
                  <h5 class="Carrito--Item-Titulo">[ {{ tArticulo.Codarticulo }} ] - {{ tArticulo.Descripcion }}</h5>
                </div>
              </div>
              <div class="row">
                <div class="col-12">
                  <h5 class="Carrito--Item-Subtitulo">Talla: {{ tArticulo.Talla }}</h5>
                </div>
              </div>
              <div class="row">
                <div class="col-12">
                  <h5 class="Carrito--Item-Subtitulo">Color: [ {{ tArticulo.Codcolor }} ] {{ tArticulo.Desc_color }}</h5>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-2">
          <h6 class="Carrito--Item-Precio">{{ tArticulo.Precio | currency : tEmpresa.Simbolo }}</h6>
        </div>
        <div class="col-2">
          <div class="input-group input-group-sm">
            <div class="input-group-prepend">
              <button class="Carrito--Item-btnCantidad" type="button" (click)="RestarCantidad(tArticulo)">-</button>
            </div>
            <label class="form-control form-control-sm">{{ tArticulo.Cantidad }}</label>
            <div class="input-group-append">
              <button class="Carrito--Item-btnCantidad" type="button" (click)="SumarCantidad(tArticulo)">+</button>
            </div>
          </div>
        </div>
        <div class="col-2">
          <h6 class="Carrito--Item-Total">{{ tArticulo.Total | currency : tEmpresa.Simbolo }}</h6>
        </div>
        <div class="col-1">
          <button class="Carrito--Item-btnEliminar" type="button" *ngIf="tArticulo.Cantidad_coleccion === 0" (click)="Eliminar(tArticulo)"><i class="fas fa-trash-alt"></i></button>
        </div>
      </div>
    </ng-container>
  </div>
  <div class="Carrito--Paginacion">
    <div class="col-10">
      <button class="btn btn-primary btn-icon-split" type="button" (click)="AbrirModalPedidoArticulo()"><span class="icon text-white-50"><i class="fas fa-plus"></i></span><span class="text">Agregar</span></button>
    </div>
    <div class="col-2">
      <ngb-pagination class="d-flex justify-content-end" [collectionSize]="tPedido.LArticulos.length" [(page)]="tPaginaArticulos" aria-label="Default pagination" [pageSize]="tTamanoPagArticulos" size="sm"></ngb-pagination>
    </div>
  </div>
</div>